%define anolis_release 1

Name:           sdl12-compat
Version:        1.2.68
Release:        %{anolis_release}%{?dist}
Summary:        SDL 1.2 runtime compatibility library using SDL 2.0
# mp3 decoder code is MIT-0/PD
# SDL_opengl.h is zlib and MIT
License:        zlib and (Public Domain or MIT-0) and MIT
URL:            https://github.com/libsdl-org/sdl12-compat
Source0:        %{url}/archive/release-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  git-core
BuildRequires:  make
BuildRequires:  SDL2-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
# This replaces SDL
Obsoletes:      SDL < 1.2.15-49
Conflicts:      SDL < 1.2.50
Provides:       SDL = %{version}
# This dlopens SDL2 (?!), so manually depend on it
Requires:       SDL2 >= 2.0.18

%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio device.

This code is a compatibility layer; it provides a binary-compatible API for
programs written against SDL 1.2, but it uses SDL 2.0 behind the scenes.

If you are writing new code, please target SDL 2.0 directly and do not use
this layer.

%package devel
Summary:        Files to develop SDL 1.2 applications using SDL 2.0
Requires:       %{name} = %{version}-%{release}
# This replaces SDL-devel
Obsoletes:      SDL-devel < 1.2.15-49
Conflicts:      SDL-devel < 1.2.50
Provides:       SDL-devel = %{version}
Provides:       SDL-devel = %{version}
Obsoletes:      SDL-static < 1.2.15-49
Conflicts:      SDL-static < 1.2.50
# Add deps required to compile SDL apps
## For SDL_opengl.h
Requires:       pkgconfig(gl)
Requires:       pkgconfig(glu)
## For SDL_syswm.h
Requires:       pkgconfig(x11)
Requires:       pkgconfig(xproto)

%description devel
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio device.

This code is a compatibility layer; it provides a source-compatible API for
programs written against SDL 1.2, but it uses SDL 2.0 behind the scenes.

If you are writing new code, please target SDL 2.0 directly and do not use
this layer.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-release-%{version} -S git_am


%build
%cmake
%cmake_build


%install
%cmake_install


rm -rf %{buildroot}%{_libdir}/*.a

%generate_compatibility_deps


%files
%license LICENSE.txt
%dir %{abidir}
%{_libdir}/libSDL-1.2.so.*
%{abidir}/libSDL-1.2.dump

%files devel
%{_bindir}/sdl-config
%{_datadir}/aclocal/sdl.m4
%{_includedir}/SDL/
%{_libdir}/libSDL-1.2.so
%{_libdir}/libSDL.so
%{_libdir}/pkgconfig/sdl12_compat.pc


%files doc
%doc README.md BUGS.md COMPATIBILITY.md

%changelog
* Wed Feb 19 2025 Chang Gao <taifu-gc@linux.alibaba.com> - 1.2.68-1
- Update to 1.2.68

* Sat Mar 25 2023 Ziyang Zhang <ZiyangZhang@linux.alibaba.com> - 1.2.60-1
- Init package from upstream 1.2.60
